Index: /extensions/SmartAlbums/language/es_ES/index.php
===================================================================
--- /extensions/SmartAlbums/language/es_ES/index.php	(revision 16103)
+++ /extensions/SmartAlbums/language/es_ES/index.php	(revision 16104)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/SmartAlbums/language/fr_FR/index.php
===================================================================
--- /extensions/SmartAlbums/language/fr_FR/index.php	(revision 16103)
+++ /extensions/SmartAlbums/language/fr_FR/index.php	(revision 16104)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/SmartAlbums/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/fr_FR/plugin.lang.php	(revision 16103)
+++ /extensions/SmartAlbums/language/fr_FR/plugin.lang.php	(revision 16104)
@@ -1,10 +1,7 @@
 <?php
 
-$lang['%d photos associated to album %s'] = '%d photos associées à l\'album %s';
 $lang['No filter selected'] = 'Aucun filtre sélectionné';
-$lang['No tag selected'] = 'Aucun tag sélectionné';
-$lang['Date string is malformed'] = 'La date n\'est pas correcte';
-$lang['Limit must be an integer'] = 'La limite doit être un entier';
-$lang['You can\'t use more than one limit'] = 'Vous ne pouvez utiliser qu\'une seule limite';
+$lang['%d photo'] = '%d photo';
+$lang['%d photos'] = '%d photos';
 $lang['All these tags'] = 'Tous les tags';
 $lang['One of these tags'] = 'Un des tags';
@@ -14,26 +11,49 @@
 $lang['Added before'] = 'Ajouté avant le';
 $lang['Added after'] = 'Ajouté après le';
-$lang['Created on'] = 'Créé le';
 $lang['Created before'] = 'Créé avant le';
 $lang['Created after'] = 'Créé après le';
-$lang['%d photo'] = '%d photo';
-$lang['%d photos'] = '%d photos';
-$lang['tags filter'] = 'filtrer par tags';
-$lang['date filter'] = 'filtrer par date';
-$lang['limit filter'] = 'nombre max. d\'éléments';
-$lang['Add filters here'] = 'Ajoutez des filtres ici';
-$lang['This album is a SmartAlbum'] = 'Cet album est un SmartAlbum';
-$lang['Count'] = 'Compter';
-$lang['Regenerate photos list of this SmartAlbum'] = 'Régénérer les photos de ce SmartAlbum';
-$lang['Regenerate photos list of all SmartAlbums'] = 'Régénérer les photos de tous les SmartAlbums';
-$lang['Update albums on file upload'] = 'Mettre à jour les albums après la mise en ligne d\'un fichier';
-$lang['(can cause slowdowns on admin pages)'] = '(peut causer des ralentissements)';
-$lang['All SmartAlbums'] = 'Tous les SmartAlbums';
-$lang['Add a SmartAlbum'] = 'Ajouter un SmartAlbum';
+$lang['Contains'] = 'Contient';
+$lang['Begins with'] = 'Commence par';
+$lang['Ends with'] = 'Fini par';
+$lang['Doesn\'t contain'] = 'Ne contient pas';
+$lang['Doesn\'t begin with'] = 'Ne commence pas par';
+$lang['Doesn\'t end with'] = 'Ne fini pas par';
+$lang['Is'] = 'Est';
+$lang['Is in'] = 'Est dans';
+$lang['Is not'] = 'N\'est pas';
+$lang['Is not in'] = 'N\'est pas dans';
+$lang['Bellow'] = 'Moins que';
+$lang['Above'] = 'Plus que';
 $lang['SmartAlbum deleted'] = 'SmartAlbum supprimé';
 $lang['SmartAlbum added'] = 'SmartAlbum ajouté';
+$lang['%d photos associated to album %s'] = '%d photos associées à l\'album %s';
 $lang['Only SmartAlbums are displayed on this page'] = 'Seuls les SmartAlbums sont affichés sur cette page';
-$lang['To order albums please go the main albums management page'] = 'Pour ordonner les albums veuillez vous rendre sur la page principale de <a href="admin.php?page=cat_list">gestion des albums</a>';
+$lang['To order albums please go the main albums <a href="%s">management page</a>'] = 'Pour trier les SmartAlbums veuillez vous rendre sur la page principale de <a href="%s">gestion des albums</a>';
 $lang['Don\'t show this message again'] = 'Ne plus afficher ce message';
+$lang['All SmartAlbums'] = 'AlTous les  SmartAlbums';
+$lang['No tag selected'] = 'Aucun tag sélectionné';
+$lang['Date string is malformed'] = 'Date incorrecte';
+$lang['Name is empty'] = 'Le nom est vide';
+$lang['Author is empty'] = 'L\'auteur est vide';
+$lang['Hits must be an integer'] = 'Le nombre de vues doit être un entier';
+$lang['Limit must be an integer'] = 'La nombre d\'éléments doit être un entier';
+$lang['You can\'t use more than one limit filter'] = 'Vous ne pouvez choisir qu\'une seule limite de nombre d\'éléments';
+$lang['You can\'t use more than one level filter'] = 'Vous ne pouvez choisir qu\'un seul niveau de confidentialité';
+$lang['tags_filter'] = 'Tags';
+$lang['date_filter'] = 'Date';
+$lang['name_filter'] = 'Nom de la photo';
+$lang['author_filter'] = 'Auteur';
+$lang['hit_filter'] = 'Nombre de vues';
+$lang['level_filter'] = 'Niveau de confidentialité';
+$lang['limit_filter'] = 'Nombre max. d\'éléments';
+$lang['For "Is (not) in", separate each author by a comma'] = 'Pour "Est/N\'est pas dans", séparez chaque auteur par une virgule';
+$lang['This album is a SmartAlbum'] = 'Cet album est un SmartAlbum';
+$lang['Add filters here'] = 'Ajoutez des filtres ici';
+$lang['Count'] = 'Compter';
+$lang['create a new SmartAlbum'] = 'créer un nouveau SmartAlbum';
+$lang['Regenerate photos list of all SmartAlbums'] = 'Régénérer les photos de tous les SmartAlbums';
+$lang['Regenerate photos list of this SmartAlbum'] = 'Régénérer les photos de ce SmartAlbum';
+$lang['Update albums on file upload'] = 'Mettre à jour les albums après la mise en ligne d\'un fichier';
+$lang['(can cause slowdowns)'] = '(peut causer des ralentissements)';
 
 ?>
Index: /extensions/SmartAlbums/language/index.php
===================================================================
--- /extensions/SmartAlbums/language/index.php	(revision 16103)
+++ /extensions/SmartAlbums/language/index.php	(revision 16104)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/SmartAlbums/language/it_IT/index.php
===================================================================
--- /extensions/SmartAlbums/language/it_IT/index.php	(revision 16103)
+++ /extensions/SmartAlbums/language/it_IT/index.php	(revision 16104)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/SmartAlbums/language/lv_LV/index.php
===================================================================
--- /extensions/SmartAlbums/language/lv_LV/index.php	(revision 16103)
+++ /extensions/SmartAlbums/language/lv_LV/index.php	(revision 16104)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/SmartAlbums/language/nl_NL/index.php
===================================================================
--- /extensions/SmartAlbums/language/nl_NL/index.php	(revision 16103)
+++ /extensions/SmartAlbums/language/nl_NL/index.php	(revision 16104)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/SmartAlbums/language/pl_PL/index.php
===================================================================
--- /extensions/SmartAlbums/language/pl_PL/index.php	(revision 16104)
+++ /extensions/SmartAlbums/language/pl_PL/index.php	(revision 16104)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmartAlbums/language/pt_PT/index.php
===================================================================
--- /extensions/SmartAlbums/language/pt_PT/index.php	(revision 16104)
+++ /extensions/SmartAlbums/language/pt_PT/index.php	(revision 16104)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmartAlbums/language/ru_RU/index.php
===================================================================
--- /extensions/SmartAlbums/language/ru_RU/index.php	(revision 16104)
+++ /extensions/SmartAlbums/language/ru_RU/index.php	(revision 16104)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmartAlbums/language/sk_SK/index.php
===================================================================
--- /extensions/SmartAlbums/language/sk_SK/index.php	(revision 16104)
+++ /extensions/SmartAlbums/language/sk_SK/index.php	(revision 16104)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmartAlbums/language/uk_UA/index.php
===================================================================
--- /extensions/SmartAlbums/language/uk_UA/index.php	(revision 16104)
+++ /extensions/SmartAlbums/language/uk_UA/index.php	(revision 16104)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmartAlbums/language/vi_VN/index.php
===================================================================
--- /extensions/SmartAlbums/language/vi_VN/index.php	(revision 16103)
+++ /extensions/SmartAlbums/language/vi_VN/index.php	(revision 16104)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/SmartAlbums/main.inc.php
===================================================================
--- /extensions/SmartAlbums/main.inc.php	(revision 16103)
+++ /extensions/SmartAlbums/main.inc.php	(revision 16104)
@@ -12,8 +12,7 @@
 global $prefixeTable;
 
-define('SMART_DIR', basename(dirname(__FILE__)));
-define('SMART_PATH', PHPWG_PLUGINS_PATH.SMART_DIR.'/');
-define('CATEGORY_FILTERS_TABLE', $prefixeTable.'category_filters');
-define('SMART_ADMIN', get_root_url().'admin.php?page=plugin-' . SMART_DIR);
+define('SMART_PATH', PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
+define('CATEGORY_FILTERS_TABLE', $prefixeTable . 'category_filters');
+define('SMART_ADMIN', get_root_url() . 'admin.php?page=plugin-' . basename(dirname(__FILE__)));
 
 add_event_handler('invalidate_user_cache', 'smart_make_all_associations');
@@ -23,26 +22,43 @@
 {
   add_event_handler('loc_end_section_init', 'smart_init_page_items');
-  include_once(SMART_PATH.'include/init_page_items.php');
+  include_once(SMART_PATH.'include/page_items.php');
 }
 else if (script_basename() == 'admin')
 {
+  global $conf;
+  
   load_language('plugin.lang', SMART_PATH);
-  
-  add_event_handler('loc_begin_cat_modify', 'smart_cat_modify'); 
-  include_once(SMART_PATH.'include/init_cat_modify.php');
-  
+  $conf['SmartAlbums'] = unserialize($conf['SmartAlbums']);
+    
   add_event_handler('loc_begin_cat_list', 'smart_cat_list');
-  include_once(SMART_PATH.'include/init_cat_list.php');
+  include_once(SMART_PATH.'include/cat_list.php');
   
   add_event_handler('get_admin_plugin_menu_links', 'smart_admin_menu');
-	function smart_admin_menu($menu) 
-	{
-		array_push($menu, array(
-			'NAME' => 'SmartAlbums',
-			'URL' => SMART_ADMIN,
-      )
-    );
-		return $menu;
-	}
+  function smart_admin_menu($menu) 
+  {
+    array_push($menu, array(
+        'NAME' => 'SmartAlbums',
+        'URL' => SMART_ADMIN,
+      ));
+    return $menu;
+  }
+    
+  add_event_handler('loc_begin_admin_page', 'smart_add_admin_album_tab');
+  function smart_add_admin_album_tab()
+  {
+    global $page, $template;
+    if ($page['page'] != 'album') return;
+    
+    $template->set_prefilter('tabsheet', 'smart_add_admin_album_tab_prefilter');
+  }
+  function smart_add_admin_album_tab_prefilter($content)
+  {
+    $search = '{/foreach}';
+    $add = '
+  <li class="{if false}selected_tab{else}normal_tab{/if}">
+    <a href="'.SMART_ADMIN.'-album&amp;cat_id='.$_GET['cat_id'].'"><span>SmartAlbum</span></a>
+  </li>';
+    return str_replace($search, $search.$add, $content);
+  }
 }
 
Index: /extensions/SmartAlbums/maintain.inc.php
===================================================================
--- /extensions/SmartAlbums/maintain.inc.php	(revision 16103)
+++ /extensions/SmartAlbums/maintain.inc.php	(revision 16104)
@@ -2,11 +2,17 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
+global $prefixeTable;
+define('smart_table', $prefixeTable . 'category_filters');
+
+define('smart_default_config', serialize(array(
+    'update_on_upload' => false,
+    'show_list_messages' => true,
+    )));
+
 function plugin_install() 
 {
-	global $prefixeTable;
-
   /* create table to store filters */
 	pwg_query(
-'CREATE TABLE IF NOT EXISTS `' . $prefixeTable . 'category_filters` (
+'CREATE TABLE IF NOT EXISTS `' . smart_table . '` (
   `category_id` smallint(5) unsigned NOT NULL,
   `type` varchar(16) NOT NULL,
@@ -20,17 +26,5 @@
       
   /* config parameter */
-  pwg_query('
-INSERT INTO `' . CONFIG_TABLE . '`
-  VALUES (
-    \'SmartAlbums\', 
-    \''.serialize(array(
-        'update_on_upload' => false,
-        'show_list_messages' => true,
-        )
-      ).'\',
-    \'Configuration for SmartAlbums plugin\'
-  )
-;');
-
+  conf_update_param('SmartAlbums', smart_default_config);
 }
 
@@ -41,26 +35,28 @@
   if (!isset($conf['SmartAlbums']))
   {
-    pwg_query('
-INSERT INTO `' . CONFIG_TABLE . '`
-  VALUES (
-    \'SmartAlbums\', 
-    \''.serialize(array(
-        'update_on_upload' => false,
-        'show_list_messages' => true,
-        )
-      ).'\',
-    \'Configuration for SmartAlbums plugin\'
-  )
-;');
+    conf_update_param('SmartAlbums', smart_default_config);
+  }
+  
+  /* some filters renamed in 1.2 */
+  $name_changes = array(
+    'the' => 'the_post',
+    'before' => 'before_post',
+    'after' => 'after_post',
+    'the_crea' => 'the_taken',
+    'before_crea' => 'before_taken',
+    'after_crea' => 'after_taken',
+    );
+  foreach ($name_changes as $old => $new)
+  {
+    pwg_query('UPDATE TABLE ' . smart_table . ' SET cond = "'.$new.'" WHERE cond = "'.$old.'";');
   }
 }
 
 function plugin_uninstall() 
-{
-	global $prefixeTable;
-  
-  pwg_query('DROP TABLE `' . $prefixeTable . 'category_filters`;');
+{  
+  pwg_query('DROP TABLE `' . smart_table . '`;');
   pwg_query('ALTER TABLE `' . IMAGE_CATEGORY_TABLE . '` DROP `smart`;');
-  pwg_query('DELETE FROM `' . CONFIG_TABLE . '` WHERE param = \'SmartAlbums\';');
+  pwg_query('DELETE FROM `' . CONFIG_TABLE . '` WHERE param = \'SmartAlbums\' LIMIT 1;');
 }
+
 ?>
